name: renovate

on:
  # schedule:
  #   - cron: "@daily"
  push:
    branches:
      - main

jobs:
  renovate:
    runs-on: ubuntu-latest
    container: ghcr.io/renovatebot/renovate:42.11.0
    steps:
      - uses: actions/checkout@v5
      - run: renovate
        env:
          LOG_LEVEL: "info"
          # Use private gitea
          RENOVATE_ENDPOINT: "https://git.verleun.org/api/v1"
          # Set the author for commits
          RENOVATE_GIT_AUTHOR: "Renovate Bot <renovate-bot@verleun.org>"
          # Authenticate with token
          RENOVATE_TOKEN: ${{ secrets.RENOVATE_TOKEN }}
          # Used to retrieve release notes
          GITHUB_COM_TOKEN: ${{ secrets.GH_TOKEN }}
          RENOVATE_PLATFORM: "gitea"
          RENOVATE_AUTODISCOVER: "false"
          # Define repo based on gitea vars
          RENOVATE_REPOSITORIES: "${{ gitea.repository }}"
